API Reference
Add risk assessment information
/v1/retail/risk_assessment https://api.cable.tech Retail endpoint for adding new customer risk assessment information
Authentication
- API key in the x-api-key header
Request body
Request body for adding risk assessment information for a parent entity
-
timestampstring requiredOriginal timestamp relating to this risk assessment information creation/change
Format
date-time -
dataobject required-
typestring requiredType of risk assessment eg. pre-onboarding risk rating, risk band, risk engine score
Example
onboarding risk band -
outcomestring requiredThe outcome of the assessment. One of: LOW, MEDIUM, HIGH, CRITICAL
-
customobjectCustom data that is relevant. This can be any JSON object. Please include any details and data points that our schema does not capture.
-
-
parentobject required-
idstring requiredUnique external identifier of the parent entity, ID stored in your database / back-office
Limits
min length 1
-
Responses
200 Operation success
-
successboolean requiredYou probably did something wrong if you set this to false
Default
true
Errors
- default Operation error
-
codestring required -
messagestring required -
dataobject